/*  This file is part of the KDE libraries
    Copyright (C) 2022 Ivailo Monev <xakepa10@gmail.com>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2, as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef KPOWERMANAGER_KDED_H
#define KPOWERMANAGER_KDED_H

#include "kdedmodule.h"
#include "kpowermanagerimpl.h"
#include "kpowermanagerinhibitimpl.h"

#include <QMap>

class KPowerManagerModule: public KDEDModule
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.kde.kpowermanager")

public:
    KPowerManagerModule(QObject *parent, const QList<QVariant>&);
    ~KPowerManagerModule();

private Q_SLOTS:
    void slotPowerSaveStatusChanged(bool save_power);

private:
    KPowerManagerImpl *m_powermanagerimpl;
    KPowerManagerInhibitImpl *m_powermanagerinhibitimpl;
};

#endif // KPOWERMANAGER_KDED_H
